perceptive
==========
###### Answer probabilistic queries about tabular data using Bayesian networks

Minimalistic educational Python library to train the parameters of Discrete Bayesian Network models on tabular data and answer probabilistic queries about the data. The library provides a simple interface that does not require an in-depth knowledge of the underlying algorithms, allowing the user to focus instead on studying the model's output under various scenarios.

Trained models can be loaded and saved as JSON files. Training only supports categorical variables with Dirichlet priors (uniform by default). Probabilistic queries include marginal probability calculations and most probable explanations, optionally conditioned on observed evidence. All inference is performed via variable elimination algorithms (sum-product and max-product).

The library itself has no external dependencies, but the example requires [pandas](http://pandas.pydata.org/) to run.

See the [tutorial example](http://nbviewer.ipython.org/github/avahram/perceptive/blob/master/examples/bayesnet_example_1.ipynb) to get started.
